## org.apache.poi.hslf.blip
Class PICT

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Metafile
              org.apache.poi.hslf.blip.PICT

    public final class PICT

extends Metafile

Represents Macintosh PICT picture data.

Author:
  Yegor Kozlov

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hslf.blip.Metafile
`Metafile.Header`

Field Summary

Fields inherited from class org.apache.poi.hslf.usermodel.PictureData
`CHECKSUM_SIZE, logger, offset, painters`

Constructor Summary
`PICT()`

Method Summary
`byte[]` `getData()` Extract compressed PICT data from a ppt
`int` `getSignature()` PICT signature is `0x5430`
`int` `getType()` Returns type of this picture.
`void` `setData(byte[] data)` Set picture data

Methods inherited from class org.apache.poi.hslf.blip.Metafile
`compress`

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PICT

    public PICT()

Method Detail

### getData

    public byte[] getData()

  Extract compressed PICT data from a ppt

  Specified by:
    `getData` in class `PictureData`
  Returns:
    picture data

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Description copied from class: `PictureData`
  Set picture data

  Specified by:
    `setData` in class `PictureData`
  Throws:
    `java.io.IOException`

### getType

    public int getType()

  Description copied from class: `PictureData`
  Returns type of this picture. Must be one of the static constants defined in the `Picture`class.

  ``
  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture.
  See Also:
    `Picture.PICT`

### getSignature

    public int getSignature()

  PICT signature is `0x5430`

  Specified by:
    `getSignature` in class `PictureData`
  Returns:
    PICT signature (`0x5430`)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.